# Simple Date Block

The Simple Date Block module provides a Drupal block to display a date or time in a configurable format.

## Features
- Display the current or a custom date/time in a block.
- Choose from predefined date formats or specify a custom PHP date format.
- Option to display relative time (e.g., "5 minutes ago").
- Select a timezone for accurate time display.
- Support for multilingual date formats based on site language.
- Specify a custom Unix timestamp for the date source.
- Live preview of the date format in the block configuration.
- Theming support for custom styling.

## Requirements
- Drupal 9.5, 10, or 11.

## Installation
1. Download and extract the module to `modules/custom/simple_date_block`.
2. Enable the module using Drush (`drush en simple_date_block`) or via the Drupal admin interface.
3. Go to Structure > Block layout and place the "Simple Date Block" in a region.
4. Configure the block to set the date format, timezone, relative time, or custom date.

## Configuration
- **Date Format**: Select a predefined format (e.g., "23/04/2025") or enter a custom PHP date format (e.g., `d/m/Y H:i:s`).
- **Relative Time**: Enable to show time as a relative string (e.g., "5 minutes ago").
- **Timezone**: Choose a timezone for the date display.
- **Custom Date**: Enter a Unix timestamp for a specific date (e.g., `1697059200` for Oct 12, 2023).
- **Custom Styling**: Override the `simple_date_block.html.twig` template or CSS in your theme.

## Support
Report issues or suggest features at https://www.drupal.org/project/sdb.

## Contributing
Contributions are welcome! Please submit patches or merge requests via the Drupal.org issue queue. See the issue queue for guidelines.
